# CachingIterator::__construct

(PHP 5, PHP 7)

CachingIterator::__construct — Construct a new CachingIterator object for the iterator

### Description

public CachingIterator::__construct ( Iterator `$iterator` [, int `$flags` = self::CALL_TOSTRING ] )
Warning

This function is currently not documented; only its argument list is available.

### Parameters

`iterator`

  Iterator to cache

`flags`

  Bitmask of flags.